How to fix LibreOffice PPA not installing newer versions

Questions about applications and software
Forum rules
Before you post please read how to get help
User avatar
Ranthe
Level 2
Level 2
Posts: 94
Joined: Fri Sep 05, 2014 9:01 pm
Location: Paraparaumu, New Zealand

Re: How to fix LibreOffice PPA not installing newer versions

Post by Ranthe » Tue Aug 25, 2015 3:33 am

Well here's a thing! Somehow I've managed to get two instances of LO 5.0 installed - the PPA version which has the monochrome toolbar buttons that I had from LO 4, and the DEB version with colourful buttons and a "Check for Updates" menu option that I haven't seen since running OpenOffice under Windows. And the funny thing is that they seem to play nicely together, with the "Recent Documents" list being the same in both instances.

I think two LO 5.0s on the same machine is probably overkill :mrgreen: so now I need to decide which one to get rid of. I figure if I want the DEB version I do a sudo apt-get remove libreoffice, and if I want to keep the PPA version I use GDebi Package Installer on each unpacked DEB file to uninstall its counterpart. But as to which one to remove... I like the coloured icons in the DEB version, but I rather like the auto-updateability of the PPA version. Decisions, all the time decisions...!

Any suggestions? Especially if there's a way I can have coloured icons AND auto-updates?
And if I do want to drop the DEB version, is there a faster way of uninstalling it?

Paper Bag
Level 1
Level 1
Posts: 17
Joined: Fri Dec 31, 2010 1:20 pm

Re: How to fix LibreOffice PPA not installing newer versions

Post by Paper Bag » Tue Aug 25, 2015 4:19 am

Ranthe wrote:I think two LO 5.0s on the same machine is probably overkill :mrgreen: so now I need to decide which one to get rid of. I figure if I want the DEB version I do a sudo apt-get remove libreoffice, and if I want to keep the PPA version I use GDebi Package Installer on each unpacked DEB file to uninstall its counterpart.
I think you got those removal methods the wrong way...
Any suggestions? Especially if there's a way I can have coloured icons AND auto-updates?
The deb version probably just a has a different icon theme in it: you can install several of them, they're called libreoffice-style-*. So stick to the PPA version.

User avatar
Ranthe
Level 2
Level 2
Posts: 94
Joined: Fri Sep 05, 2014 9:01 pm
Location: Paraparaumu, New Zealand

Re: How to fix LibreOffice PPA not installing newer versions

Post by Ranthe » Tue Aug 25, 2015 4:57 am

Paper Bag wrote:
Ranthe wrote:I think two LO 5.0s on the same machine is probably overkill :mrgreen: so now I need to decide which one to get rid of. I figure if I want the DEB version I do a sudo apt-get remove libreoffice, and if I want to keep the PPA version I use GDebi Package Installer on each unpacked DEB file to uninstall its counterpart.
I think you got those removal methods the wrong way...
What I meant was uninstall the PPA version using apt-get remove and keep the DEB version, and use GDebi Package Installer to uninstall the DEB version and keep the PPA version. Is this the right way around?
Paper Bag wrote:
Ranthe wrote:Any suggestions? Especially if there's a way I can have coloured icons AND auto-updates?
The deb version probably just a has a different icon theme in it: you can install several of them, they're called libreoffice-style-*. So stick to the PPA version.
Thanks! I'll give that a try.

Paper Bag
Level 1
Level 1
Posts: 17
Joined: Fri Dec 31, 2010 1:20 pm

Re: How to fix LibreOffice PPA not installing newer versions

Post by Paper Bag » Tue Aug 25, 2015 5:58 pm

Ranthe wrote:What I meant was uninstall the PPA version using apt-get remove and keep the DEB version, and use GDebi Package Installer to uninstall the DEB version and keep the PPA version. Is this the right way around?
Somehow "keep" became "remove", so I just read it wrong. :D

chrisonmint
Level 3
Level 3
Posts: 143
Joined: Sun May 03, 2015 10:49 am

Re: How to fix LibreOffice PPA not installing newer versions

Post by chrisonmint » Sat Aug 29, 2015 3:56 am

LibreOffice version 5 is a big improvement over the 4.x series. Loads faster and is very smooth.

Thanks for the help getting the PPA working!

Conker
Level 1
Level 1
Posts: 47
Joined: Mon Nov 25, 2013 3:09 pm

Re: How to fix LibreOffice PPA not installing newer versions

Post by Conker » Mon Sep 21, 2015 3:40 pm

Most posters seem to have done the upgrade to version 5 successfully but I am having trouble on my Mint 17.2 KDE machine, currently with LibreOffice 4.4.5.2.
My Software Sources have libreoffice/libreoffice-5-0 and libreoffice/libreoffice-5-0 (Sources) in the PPAs
I have created the libreoffice-libreoffice-5-0.pref file in /etc/apt/preferences.d which contains
Package: *
Pin: release o=LP-PPA-libreoffice-libreoffice-5-0
Pin-Priority: 701

However, my Update Manager insists I am up to date.
Any suggestions would be appreciated.
Thanks
Mint 18.3 KDE 64-bit

chrisonmint
Level 3
Level 3
Posts: 143
Joined: Sun May 03, 2015 10:49 am

Re: How to fix LibreOffice PPA not installing newer versions

Post by chrisonmint » Mon Sep 21, 2015 3:53 pm

Conker wrote: I have created the libreoffice-libreoffice-5-0.pref file in /etc/apt/preferences.d which contains
can you check that file name? it should be /etc/apt/preferences.d/libreoffice.pref
(no -5-0 in the filename)

User avatar
xenopeek
Level 24
Level 24
Posts: 24203
Joined: Wed Jul 06, 2011 3:58 am
Location: The Netherlands

Re: How to fix LibreOffice PPA not installing newer versions

Post by xenopeek » Mon Sep 21, 2015 3:57 pm

The filename is irrelevant, it is just for us humans to keep order.

Most likely your PPA and preferences file are not matched. Do you specifically want to install LibreOffice 5.0 and never upgrade to another version? If not then go back to the first post here and use the PPA and preferences file noted there.

Else look at your output of the command:

Code: Select all

apt-cache policy libreoffice
Either the PPA isn't there or it is another one than you have configured the preferences for.
Image

Conker
Level 1
Level 1
Posts: 47
Joined: Mon Nov 25, 2013 3:09 pm

Re: How to fix LibreOffice PPA not installing newer versions

Post by Conker » Mon Sep 21, 2015 4:19 pm

Thanks chrisonmint and xenopeek. I originally tried the instructions in the first post by xenopeek but without getting anything in Update Manager. I want to understand the PPA approach so I tried the -5-0 naming.
Here is the output of the apt-cache policy libreoffice command

Code: Select all

libreoffice:
  Installed: (none)
  Candidate: 1:5.0.1~rc2-0ubuntu1~trusty1
  Version table:
     1:5.0.1~rc2-0ubuntu1~trusty1 0
        701 http://ppa.launchpad.net/libreoffice/libreoffice-5-0/ubuntu/ trusty/main amd64 Packages
     1:4.4.3~rc2-0ubuntu1~trusty1 0
        700 http://packages.linuxmint.com/ rafaela/import amd64 Packages
     1:4.2.8-0ubuntu2 0
        500 http://archive.ubuntu.com/ubuntu/ trusty-updates/universe amd64 Packages
        500 http://security.ubuntu.com/ubuntu/ trusty-security/universe amd64 Packages
     1:4.2.3~rc3-0ubuntu2 0
        500 http://archive.ubuntu.com/ubuntu/ trusty/universe amd64 Packages
Mint 18.3 KDE 64-bit

Paper Bag
Level 1
Level 1
Posts: 17
Joined: Fri Dec 31, 2010 1:20 pm

Re: How to fix LibreOffice PPA not installing newer versions

Post by Paper Bag » Mon Sep 21, 2015 4:24 pm

Sure that you refreshed (Refresh in Update Manager or just apt-get update)?

Conker
Level 1
Level 1
Posts: 47
Joined: Mon Nov 25, 2013 3:09 pm

Re: How to fix LibreOffice PPA not installing newer versions

Post by Conker » Mon Sep 21, 2015 4:37 pm

Thanks Paper Bag, yes I did both - refreshed Update Manager and did an apt-get update. I know Update Manager is working; got the Adobe Flash update earlier today.
I'm still puzzled. I have read that PPAs offer the safest upgrade paths so I really want to understand this.
Mint 18.3 KDE 64-bit

Paper Bag
Level 1
Level 1
Posts: 17
Joined: Fri Dec 31, 2010 1:20 pm

Re: How to fix LibreOffice PPA not installing newer versions

Post by Paper Bag » Mon Sep 21, 2015 4:51 pm

Didn't notice first but the problem is...
Installed: (none)
Candidate: 1:5.0.1~rc2-0ubuntu1~trusty1
You don't have it installed right now so of course you won't get any updates to it either. Install it.

You said you have 4.x installed? From the website and .debs?

Remember the extra gtk packages (otherwise looks ugly):

Code: Select all

libreoffice libreoffice-gtk libreoffice-gtk3

Conker
Level 1
Level 1
Posts: 47
Joined: Mon Nov 25, 2013 3:09 pm

Re: How to fix LibreOffice PPA not installing newer versions

Post by Conker » Mon Sep 21, 2015 5:31 pm

Yes, I have 4.4.5.2 installed and working perfectly. I installed this by downloading the .deb file from the LibreOffice website.
I thought the whole point of xenopeek's instructions in his first post was to enable updates from 4.x to 5.0. Now I am wondering what is the advantage of the PPA approach if I have to install 5.0 via .deb first?
Your support is appreciated.
Mint 18.3 KDE 64-bit

Paper Bag
Level 1
Level 1
Posts: 17
Joined: Fri Dec 31, 2010 1:20 pm

Re: How to fix LibreOffice PPA not installing newer versions

Post by Paper Bag » Mon Sep 21, 2015 6:16 pm

If you search for libreoffice in Synaptic you probably see that the currently installed one is called libreoffice4.4? i.e. package manager treats it as a different program to libreoffice. Remove it and all of the related libreoffice packages in case of possible conflicts. Then:

Code: Select all

sudo apt-get install libreoffice libreoffice-gtk libreoffice-gtk3
If you had installed it from some other official Libeoffice PPA (there's one for each major version) then you would have gotten the 5.x update just by adding the PPA. Generally, always prefer PPAs over debs.

Conker
Level 1
Level 1
Posts: 47
Joined: Mon Nov 25, 2013 3:09 pm

Re: How to fix LibreOffice PPA not installing newer versions

Post by Conker » Mon Sep 21, 2015 9:05 pm

Thank you to all! I am now running version 5 and understand a little more about PPA use.
Great support.
Mint 18.3 KDE 64-bit

waseem
Level 1
Level 1
Posts: 2
Joined: Sat Feb 01, 2014 1:58 am

Re: How to fix LibreOffice PPA not installing newer versions

Post by waseem » Wed Sep 23, 2015 5:55 am

Thanks xenopeek I successfully upgraded my libre office from 4.4 to 5 with help of your given SOLUTION on Linuxmint 17.2 Mate.

mehimu
Level 2
Level 2
Posts: 58
Joined: Sun Aug 03, 2014 12:49 am
Contact:

Re: How to fix LibreOffice PPA not installing newer versions

Post by mehimu » Sat Sep 26, 2015 1:05 am

I am planning to use this version, hope the the discussion of this post will help me. Thanks
I am learning linux and computer networking more and more. I've a blog related to computer networking. If you are interested may visit there. Thanks
whilenetworking.com

dukeinlondon
Level 1
Level 1
Posts: 3
Joined: Tue Sep 10, 2013 3:42 am

Re: How to fix LibreOffice PPA not installing newer versions

Post by dukeinlondon » Mon Sep 28, 2015 4:12 pm

Hello, thanks for that, works perfectly. I've got the same problem with the owncloud client.

How do i raise the priority of
/etc/apt/source.list.d/owncloud.list

which contains

Code: Select all

deb http://download.opensuse.org/repositories/isv:/ownCloud:/community/xUbuntu_14.04/ /
Thank you

xdicey
Level 4
Level 4
Posts: 474
Joined: Wed Sep 16, 2015 2:42 pm

Re: How to fix LibreOffice PPA not installing newer versions

Post by xdicey » Sat Nov 14, 2015 12:56 am

[b]xenopeek[/b] wrote:Why you might want to use the LibreOffice PPA
If you're using Linux Mint 17.2 you may have been pleasantly surprised with LibreOffice 4.4.3; a huge improvement over the LibreOffice version shipped with earlier Linux Mint 17.x and Ubuntu LTS versions. You may even have gotten a taste for the improvements the LibreOffice team are making with each stable release and have added the LibreOffice Fresh PPA to your system so you get new stable releases through Update Manager. Certainly looking forward to the 5.0 release you might be interested in that (https://wiki.documentfoundation.org/ReleaseNotes/5.0).

xeenopeek,
As a newbie who would like to add LO's PPA, based on your post above, can you confirm,
(a) below are the 1, 2, 3, steps I should follow?
(b) would this only add stable realeases when they are available or just every release, stable or not?
(c) after these steps, based on #6, will LO 5 be available in Software Manager for me to install?

1. ppa:libreoffice/ppa in Software Sources,
2. you need to create the file /etc/apt/preferences.d/libreoffice.pref. Is this creating a text file called libreoffice.pref via the apt path? Is this just a blank text document?

3. To edit the file on the terminal with nano run:
sudo nano /etc/apt/preferences.d/libreoffice.pref

4. To instead use a graphical editor press Alt+F2 and type the following command or run that command from the terminal (for KDE replace "gksudo gedit" with "kdesudo kate"; for MATE replace "gedit" with "pluma"):
gksudo gedit /etc/apt/preferences.d/libreoffice.pref I'm running Cinnamon 17.2 64 bit, so this is fine as is?

5. Put the following text in the file: do you mean type type these in the '. . . libreoffice.pref text file'?
Package: *
Pin: release o=LP-PPA-libreoffice
Pin-Priority: 700


6. Save and close the file. If you click refresh in Update Manager it should now list the newer LibreOffice packages and will also for future LibreOffice versions show you the newer packages.
-QUAD CORE Intel Core i7-4700MQ CPU (-HT-MCP-) 2.40GHz x4
-16GB RAM, 1 TB SSHD
-Graphics Card: Intel 4th Gen Core Processor Integrated Graphics Controller

User avatar
xenopeek
Level 24
Level 24
Posts: 24203
Joined: Wed Jul 06, 2011 3:58 am
Location: The Netherlands

Re: How to fix LibreOffice PPA not installing newer versions

Post by xenopeek » Wed Nov 25, 2015 11:55 am

UPDATE: As of November 25th 2015 an update should shortly arrive to all Linux Mint 17.x users that changes Linux Mint repository package priorities. In short, this will make it so these steps are no longer needed.
Image

Locked

Return to “Software & Applications”